## org.apache.lucene.index
Class BalancedSegmentMergePolicy.MergePolicyParams

    java.lang.Object
      org.apache.lucene.index.BalancedSegmentMergePolicy.MergePolicyParams

Enclosing class:
  BalancedSegmentMergePolicy

    public static class BalancedSegmentMergePolicy.MergePolicyParams

extends Object

Specifies configuration parameters for BalancedSegmentMergePolicy.

Constructor Summary
`BalancedSegmentMergePolicy.MergePolicyParams()`

Method Summary
`int` `getMaxMergeDocs()`
`int` `getMaxSmallSegments()`
`int` `getMergeFactor()`
`int` `getNumLargeSegments()`
`boolean` `getPartialExpunge()`
`boolean` `isUseCompoundFile()`
`void` `setMaxMergeDocs(int maxMergeDocs)`
`void` `setMaxSmallSegments(int maxSmallSegments)`
`void` `setMergeFactor(int mergeFactor)`
`void` `setNumLargeSegments(int numLargeSegments)`
`void` `setPartialExpunge(boolean doPartialExpunge)`
`void` `setUseCompoundFile(boolean useCompoundFile)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BalancedSegmentMergePolicy.MergePolicyParams

    public BalancedSegmentMergePolicy.MergePolicyParams()

Method Detail

### setNumLargeSegments

    public void setNumLargeSegments(int numLargeSegments)

### getNumLargeSegments

    public int getNumLargeSegments()

### setMaxSmallSegments

    public void setMaxSmallSegments(int maxSmallSegments)

### getMaxSmallSegments

    public int getMaxSmallSegments()

### setPartialExpunge

    public void setPartialExpunge(boolean doPartialExpunge)

### getPartialExpunge

    public boolean getPartialExpunge()

### setMergeFactor

    public void setMergeFactor(int mergeFactor)

### getMergeFactor

    public int getMergeFactor()

### setMaxMergeDocs

    public void setMaxMergeDocs(int maxMergeDocs)

### getMaxMergeDocs

    public int getMaxMergeDocs()

### setUseCompoundFile

    public void setUseCompoundFile(boolean useCompoundFile)

### isUseCompoundFile

    public boolean isUseCompoundFile()